3GS unlock question

Discussion in 'Jailbreaks and iOS Hacks' started by amatorb, Nov 12, 2011.

  1. amatorb macrumors newbie

    Joined:
    Nov 9, 2011
    #1
    I picked up a nice Iphone 3GS with IOS 5.01 and BB 5.16.05. I'd like to unlock it so I can use it with T-Mobile, but since my wife would use it, I am concern with possibility of tethered booting. So before I unlock it I wanted to ask a few questions:
    1. If I downgrade the IOS to 4.1 and bump the BB to 6.15 then unlock it, would it be an untethered unlock?
    2. I actually started the process (no change the BB yet) and installed IOS4.1 along with Cydia and ultrasn0w, but the phone would not work even with AT&T card (which worked fine before downgrade). All other items including Wi-Fi work fine. Is this normal? I am a little concerned to proceed to iPad BB as I don't want to find out later that there is something else broken or missing.
    3. When I try to go back to IOS5 via iTunes restore procedure, it throws an error at the end, that I cannot upgrade from my version of the application. Should I use any special tools if I wanted to go back to IOS5?

    Thank you for any comments.
     
  2. amatorb thread starter macrumors newbie

    Joined:
    Nov 9, 2011
  3. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #3
    Yes if you go down to 4.1 it will be untethered.
    You will have to install the iPad bb etc....
    Obviously if you didn't install the iPad bb yet installing ultrasnow is pointless cause it won't unlock it with that step missing.
     
  4. amatorb thread starter macrumors newbie

    Joined:
    Nov 9, 2011
    #4
    Thank you for your answer Applejuiced!

    Before I apply Ipad BB, shouldn't I be concerned that I can't get the phone to work under AT&T in downgraded IOS 4.1 and BB 5.16.05?
    The phone keeps searching and ends with no service after sim is inserted. It was working fine under IOS 5.
    I've tried resetting network, reinstalled ultrasn0w with the same result.
    Any advice appreciated.
     
  5. Crystal-RX macrumors 68030

    Crystal-RX

    Joined:
    Dec 22, 2008
    Location:
    Seattle, WA USA
    #5
    You should not have concern about this. I have seen people running their 3GS with 3.1.2 firmware and the sim works fine.
     

Share This Page